/spaces/:id/devices

Returns a list of devices that belong to the Space resource. This is indicative of hardware that is physically inside the space, such as a beacon, motion sensor, or projector.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

/spaces/:id/devices

Returns a list of devices that belong to the Space resource. This is indicative of hardware that is physically inside the space, such as a beacon, motion sensor, or projector.

Optional Includes

You can optionally include detailed diagnostic information for each device in the response via /spaces/:id/devices?include=status.

The device status entity is includable as well with ?include=status:

{
  "reported_at": "2026-07-09T17:24:05+0200",
  "network_info": {
    "network_connection_type": "WIFI",
    "wifi_info": {
      "ssid": ""
    }
  },
  "power_info": {
    "battery_level": 1,
    "is_power_source_connected": true
  }
}
Path Params
int32
required

The ID of the space

Query Params
string

When provided, results will be filtered by the specified device manifest

int32
Defaults to 1

The page to return

int32
Defaults to 10

The amount of results to return per page

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json